/* ----------------------------------------------------------------
	Custom CSS

	Add all your Custom Styled CSS here for New Styles or
	Overwriting Default Theme Styles for Better Handling Updates
-----------------------------------------------------------------*/

#primary-menu ul li .mega-menu-content.style-2 ul.mega-menu-column:not(.mega-menu-thumb) {
    padding: 5px 20px;
}

#primary-menu ul li .mega-menu-content ul:not(.mega-menu-column) {
    margin-top: -1em
}

#primary-menu ul li .mega-menu-content ul:not(.mega-menu-column) li {
    margin-top: -.7em
}

#primary-menu ul li .mega-menu-content ul:not(.mega-menu-column) li:hover > a {
    background-color: transparent;
}

#primary-menu .card-columns {
    column-gap: 0;
}

#primary-menu .card-columns .card {
    border: none;
    border-right: 1px solid #F2F2F2 !important;
    border-radius: 0;
    margin: 0;
    padding: 0;
}

.avatar img {
    width: 20px;
    padding: 0;
    margin-right: .5em;
    border-radius: 100%;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.avatar:hover img {
    padding: 2px;
    border: 1px solid #e31b23;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

span.twitter-typeahead {
    display: block !important;
    position: absolute;
    height: 100%;
}

.tt-menu {
    width: 100%;
    margin: 0;
    padding: 8px 0;
    background-color: #FFF;
    border: 1px solid rgba(0, 0, 0, 0.2);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 10px rgba(0, 0, 0, .1);
    -moz-box-shadow: 0 1px 10px rgba(0, 0, 0, .1);
    box-shadow: 0 1px 10px rgba(0, 0, 0, .1);

}

.tt-suggestion, .tt-empty, .tt-pending {
    padding: 3px 20px;
    font-size: 15px;
    line-height: 24px;
}

.tt-pending {
    height: 50px;
}

.tt-suggestion:hover {
    cursor: pointer;
    color: #FFF;
    background-color: #e31b23;
}

.tt-suggestion.tt-cursor {
    color: #fff;
    background-color: #e31b23;
}

.tt-suggestion img {
    width: 40px;
    height: 40px;
    border-radius: 4px;
    margin-right: .5em;
}

#top-search form input.form-control.tt-hint {
    color: #999 !important;
}

.has-feedback .form-control-feedback {
    position: absolute;
    right: 15px;
    display: block;
    width: 45px;
    height: 45px;
    line-height: 45px;
    text-align: center;
}

.bootstrap-select .dropdown-toggle {
    background-color: #fff;
    border-color: #ced4da;
}

.bootstrap-select > .dropdown-toggle.bs-placeholder {
    color: #909090;
}

.bootstrap-select .dropdown-menu {
    min-width: 100% !important;
    background: #fff !important;
    text-align: justify !important;
}

.bootstrap-select .dropdown-menu > .active > a,
.bootstrap-select .dropdown-menu > .active > a:hover,
.bootstrap-select .dropdown-menu > .active > a:focus {
    color: #fff !important;
    background: #e31b23 !important;
}

.bootstrap-select a.dropdown-item:hover,
.bootstrap-select a.dropdown-item:focus,
.bootstrap-select a.dropdown-item:active {
    color: #fff !important;
    background: #e31b23 !important;
}

.bootstrap-select .dropdown-menu li:hover,
.bootstrap-select .dropdown-menu li:focus {
    background: #eee !important;
}

.parallax-overlay {
    background: linear-gradient(to bottom, rgba(0, 0, 0, .2) 0%, rgba(0, 0, 0, .45) 30%, rgba(0, 0, 0, .65) 80%, rgba(0, 0, 0, .85) 100%) repeat scroll 0 0 rgba(0, 0, 0, 0);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.content-area {
    position: relative;
    cursor: default;
    overflow: hidden;
}

.custom-overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    background: rgba(255, 255, 255, 0.4);
    opacity: 0;
    transition: all 400ms ease-in-out;
    height: 100%;
}

.custom-overlay:hover {
    opacity: 1;
}

.custom-text {
    position: absolute;
    top: 50%;
    left: 10px;
    right: 10px;
    transform: translateY(-50%);
    color: #fff !important;
}

.content-area img {
    transition: transform .5s ease;
}

.content-area:hover img {
    transform: scale(1.2);
}

.form-control:disabled, button:disabled {
    cursor: no-drop;
}

.btn-primary {
    color: #fff;
    background-color: #e31b23;
    border-color: #e31b23;
}

.btn-primary:hover {
    color: #fff;
    background-color: #d77906;
    border-color: #c37906;
}

.btn-primary:focus, .btn-primary.focus {
    color: #fff;
    background-color: #d77906;
    border-color: #c37906;
    box-shadow: 0 0 0 0.2rem rgba(255, 153, 6, 0.5);
}

.btn-primary.disabled, .btn-primary:disabled {
    color: #fff;
    background-color: #e31b23;
    border-color: #e31b23;
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #c37906;
    border-color: #af6806;
}

.btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 153, 6, 0.5);
}

.btn-outline-primary {
    color: #e31b23;
    border-color: #e31b23;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #e31b23;
    border-color: #e31b23;
}

.btn-outline-primary:focus, .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 153, 6, 0.5);
}

.btn-outline-primary.disabled, .btn-outline-primary:disabled {
    color: #e31b23;
    background-color: transparent;
}

.btn-outline-primary:not(:disabled):not(.disabled):active, .btn-outline-primary:not(:disabled):not(.disabled).active,
.show > .btn-outline-primary.dropdown-toggle {
    color: #fff;
    background-color: #e31b23;
    border-color: #e31b23;
}

.btn-outline-primary:not(:disabled):not(.disabled):active:focus, .btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 153, 6, 0.5);
}

.pagination > li > a,
.pagination > li > span {
    color: #777;
    background-color: #fff;
    border: 1px solid #ddd;
    font-weight: 600;
}

.pagination > li > a:hover,
.pagination > li > span:hover,
.pagination > li > a:focus,
.pagination > li > span:focus {
    color: #9b6104;
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
    background-color: #e31b23;
    border-color: #e31b23;
}

.pagination > .disabled > a,
.pagination > .disabled > a:focus,
.pagination > .disabled > a:hover,
.pagination > .disabled > span,
.pagination > .disabled > span:focus,
.pagination > .disabled > span:hover {
    pointer-events: none;
}

.myProgress {
    position: fixed;
    margin-bottom: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5px;
    border-radius: 0;
    z-index: 20;
}

.myProgress .bar {
    height: 100%;
    width: 10%;
    transition: background 0.15s ease;
}

.dark .footer-widgets-wrap a:hover { color: #E31B23; }
